VSTGUI 4.5 Graphical User Interface Framework not only for VST plugins

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator Friends Groups Pages
Public Member Functions | List of all members
VST3EditorDelegate Class Reference
Version 4.0

delegate extension to Steinberg::Vst::EditController for a VST3 Editor More...

## Public Member Functions
virtual | ~VST3EditorDelegate ()
virtual CView * | createCustomView (UTF8StringPtr name, const UIAttributes &attributes, const IUIDescription *description, VST3Editor *editor)
| create a custom view More...
virtual CView * | verifyView (CView *view, const UIAttributes &attributes, const IUIDescription *description, VST3Editor *editor)
| verify a view after it was created More...
virtual bool | findParameter (const CPoint &pos, Steinberg::Vst::ParamID &paramID, VST3Editor *editor)
| find a parameter More...
virtual bool | isPrivateParameter (const Steinberg::Vst::ParamID paramID)
| check if parameter ID is private and should not be exposed to the host More...
virtual void | didOpen (VST3Editor *editor)
| called after the editor was opened More...
virtual void | willClose (VST3Editor *editor)
| called before the editor will close More...
virtual COptionMenu * | createContextMenu (const CPoint &pos, VST3Editor *editor)
| create the context menu for the editor, will be added to the host menu More...
virtual IController * | createSubController (UTF8StringPtr name, const IUIDescription *description, VST3Editor *editor)
| called when a sub controller should be created. More...

## Detailed Description

delegate extension to Steinberg::Vst::EditController for a VST3 Editor

## Constructor & Destructor Documentation

virtual ~VST3EditorDelegate | ( |  | ) |
| inline virtual

## Member Function Documentation

virtual COptionMenu* createContextMenu | ( | const CPoint & | pos,
|  | VST3Editor * | editor
| ) |  |
| inline virtual

create the context menu for the editor, will be added to the host menu

virtual CView* createCustomView | ( | UTF8StringPtr | name,
|  | const UIAttributes & | attributes,
|  | const IUIDescription * | description,
|  | VST3Editor * | editor
| ) |  |
| inline virtual

create a custom view

virtual IController* createSubController | ( | UTF8StringPtr | name,
|  | const IUIDescription * | description,
|  | VST3Editor * | editor
| ) |  |
| inline virtual

called when a sub controller should be created.

The controller is now owned by the editor, which will call forget() if it is a CBaseObject, release() if it is a Steinberg::FObject or it will be simply deleted if the frame gets closed. create a sub controller

virtual void didOpen | ( | VST3Editor * | editor | ) |
| inline virtual

called after the editor was opened

virtual bool findParameter | ( | const CPoint & | pos,
|  | Steinberg::Vst::ParamID & | paramID,
|  | VST3Editor * | editor
| ) |  |
| inline virtual

find a parameter

virtual bool isPrivateParameter | ( | const Steinberg::Vst::ParamID | paramID | ) |
| inline virtual

check if parameter ID is private and should not be exposed to the host

virtual CView* verifyView | ( | CView * | view,
|  | const UIAttributes & | attributes,
|  | const IUIDescription * | description,
|  | VST3Editor * | editor
| ) |  |
| inline virtual

verify a view after it was created

virtual void willClose | ( | VST3Editor * | editor | ) |
| inline virtual

called before the editor will close

The documentation for this class was generated from the following file:

- vst3editor.h